=== debian/control ===
Source: graftcp
Section: net
Priority: optional
Standards-Version: 4.5.1
Maintainer: Debian Bridges Team <team+bridges@tracker.debian.org>
Uploaders: Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 uthash-dev,
Homepage: https://github.com/hmgle/graftcp
Vcs-Git: https://salsa.debian.org/debian/graftcp.git
Vcs-Browser: https://salsa.debian.org/debian/graftcp

Package: graftcp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Redirect TCP connection to SOCKS5 or HTTP proxy
 Graftcp can redirect the TCP connection made by the given
 program (application, script, shell, etc.) to SOCKS5 or HTTP proxy.
 .
 Graftcp can trace or modify any given program's connect by ptrace(2),
 so it is workable for any program.
 .
 This package provides the graftcp program.
