=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/graftcp-$1\.tar\.gz/ \
  https://github.com/hmgle/graftcp/tags .*/v?(\d\S+)\.tar\.gz
